---
title: "Get follow preferences"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › directory

`GET /v2/directory/{subjectType}/{listingId}/follow-preferences`

## Path parameters

- `subjectType` (`directory-get-follow-preferences.path.subjectType`; string, required)
  - one of `"person"`, `"entity"`
- `listingId` (`directory-get-follow-preferences.path.listingId`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/directory/person/<listingId>/follow-preferences'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/directory/person/<listingId>/follow-preferences';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/directory/person/<listingId>/follow-preferences"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "listingId": "8c73d933-f7ed-437e-9da1-caac95adc1ae",
    "subjectType": "person",
    "preferences": {
      "notifyFilings": true,
      "notifyMaterialChanges": true,
      "notifyTeam": true,
      "notifyFunds": true,
      "notifyInvestments": true,
      "notifyRelationships": true,
      "notifyCriteria": true,
      "notifyPackages": true,
      "notifyCorrections": true
    },
    "customized": true,
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`directory-get-follow-preferences.response.200.data`; object, required)
  - `listingId` (`directory-get-follow-preferences.response.200.data.listingId`; string, required)
    - format `uuid`
  - `subjectType` (`directory-get-follow-preferences.response.200.data.subjectType`; string, required)
    - one of `"person"`, `"entity"`
  - `preferences` (`directory-get-follow-preferences.response.200.data.preferences`; object, required)
    - `notifyFilings` (`directory-get-follow-preferences.response.200.data.preferences.notifyFilings`; boolean, required)
    - `notifyMaterialChanges` (`directory-get-follow-preferences.response.200.data.preferences.notifyMaterialChanges`; boolean, required)
    - `notifyTeam` (`directory-get-follow-preferences.response.200.data.preferences.notifyTeam`; boolean, required)
    - `notifyFunds` (`directory-get-follow-preferences.response.200.data.preferences.notifyFunds`; boolean, required)
    - `notifyInvestments` (`directory-get-follow-preferences.response.200.data.preferences.notifyInvestments`; boolean, required)
    - `notifyRelationships` (`directory-get-follow-preferences.response.200.data.preferences.notifyRelationships`; boolean, required)
    - `notifyCriteria` (`directory-get-follow-preferences.response.200.data.preferences.notifyCriteria`; boolean, required)
    - `notifyPackages` (`directory-get-follow-preferences.response.200.data.preferences.notifyPackages`; boolean, required)
    - `notifyCorrections` (`directory-get-follow-preferences.response.200.data.preferences.notifyCorrections`; boolean, required)
  - `customized` (`directory-get-follow-preferences.response.200.data.customized`; boolean, required)
  - `updatedAt` (`directory-get-follow-preferences.response.200.data.updatedAt`; string, required, nullable)
    - format `date-time`
- `meta` (`directory-get-follow-preferences.response.200.meta`; object, optional)
  - `timestamp` (`directory-get-follow-preferences.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-get-follow-preferences.response.400.error`; object, required)
  - `code` (`directory-get-follow-preferences.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-get-follow-preferences.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`directory-get-follow-preferences.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-get-follow-preferences.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-get-follow-preferences.response.401.error`; object, required)
  - `code` (`directory-get-follow-preferences.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-get-follow-preferences.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`directory-get-follow-preferences.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-get-follow-preferences.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-get-follow-preferences.response.403.error`; object, required)
  - `code` (`directory-get-follow-preferences.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-get-follow-preferences.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`directory-get-follow-preferences.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-get-follow-preferences.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-get-follow-preferences.response.404.error`; object, required)
  - `code` (`directory-get-follow-preferences.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-get-follow-preferences.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`directory-get-follow-preferences.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-get-follow-preferences.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-get-follow-preferences.response.409.error`; object, required)
  - `code` (`directory-get-follow-preferences.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-get-follow-preferences.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`directory-get-follow-preferences.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-get-follow-preferences.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-get-follow-preferences.response.429.error`; object, required)
  - `code` (`directory-get-follow-preferences.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-get-follow-preferences.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`directory-get-follow-preferences.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-get-follow-preferences.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-get-follow-preferences.response.500.error`; object, required)
  - `code` (`directory-get-follow-preferences.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-get-follow-preferences.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`directory-get-follow-preferences.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-get-follow-preferences.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-get-follow-preferences.response.503.error`; object, required)
  - `code` (`directory-get-follow-preferences.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-get-follow-preferences.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`directory-get-follow-preferences.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-get-follow-preferences.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/directory-get-follow-preferences/index.md
